### Enumeration

# Vips ForeignWebpPreset

#### Declaration

    enum Vips.ForeignWebpPreset

#### Description [src]

Tune lossy encoder settings for different image types.

#### Members

`VIPS_FOREIGN_WEBP_PRESET_DEFAULT`

  Default preset.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_WEBP_PRESET_PICTURE`

  Digital picture, like portrait, inner shot.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_WEBP_PRESET_PHOTO`

  Outdoor photograph, with natural lighting.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_WEBP_PRESET_DRAWING`

  Hand or line drawing, with high-contrast details.

  - Value: `3`
  - Available since: 8.0
`VIPS_FOREIGN_WEBP_PRESET_ICON`

  Small-sized colorful images.

  - Value: `4`
  - Available since: 8.0
`VIPS_FOREIGN_WEBP_PRESET_TEXT`

  Text-like.

  - Value: `5`
  - Available since: 8.0
`VIPS_FOREIGN_WEBP_PRESET_LAST`

  No description available.

  - Value: `6`
  - Available since: 8.0